Jakie są problemy podczas instalacji rozszerzeń i jak je rozwiązywać?
Wyniki 1 do 3 z 3

Temat: Jakie są problemy podczas instalacji rozszerzeń i jak je rozwiązywać?

  1. #1
    Senior zwiastun awatar
    Dołączył
    20-09-2005
    Wpisy
    26 846
    Punkty
    1096

    Domyślny Jakie są problemy podczas instalacji rozszerzeń i jak je rozwiązywać?

    Rozszerzenia dla Joomla! tworzone są najczęściej przez innych projektantów niż należący do zespołu rozwijającego Joomla! Już choćby dlatego trudno oczekiwać, że każde rozszerzenie będzie w stu procentach zgodne z API Joomla!, że każde będzie działać bezbłędnie, że każde będzie równie bezpieczne, jak Joomla!
    Poniżej jest kilka wskazówek i rad, które zalecamy rozważyć przed instalacja nowego rozszerzenia i w przypadku problemów z jego działaniem:
    1. Przeznaczenie
    W składnicach plików oferowane są rozszerzenia z różnych okresów historii Joomla!, w tym z także z czasów Mambo, a więc napisane. Im starsze rozszerzenie, tym mniejsza jest szansa na jego kompatybilność (zgodność) z najnowszymi wersjami Joomla!
    a) aby w Joomla 1.5 prawdidłowo działały rozszerzenia napisane dla Mambo lub Joomla 1.0, trzeba włączyć tryb zgodności wstecznej (dodatek nazwany w jęzku angielskim System - Legacy, w polskim tłumaczeniu - System - Spuścizna); aby w Joomla 1.0 działały niektóre dodatki napisane dawniej dla Mambo, trzeba włączyć podobny dodatek - Legacy Mambot Includer, w polskim tłumaczeniu: Dawne dodatki.
    b) dodatek Spuścizna (Legacy) należy włączyć przed instalacją rozszerzenia napisanego dla wcześniejszych wersji Joomla; w przeciwnym przypadku instalacja może zakończyć się niepowodzeniem!
    c) włączenie trybu zgodności wstecznej nie gwarantuje jednak poprawnego działania rozszerzenia napisanego dla wcześniejszych wersji; w przypadku problemów mozna poszukać rozwiazania na forum lub zapytać o takie rozwiązanie, ale szansa na receptę jest mierna!
    Uwaga: rozszerzenia wymagające trybu zgodności wstecznej w nieznacznym stopniu obniżają wydajność Joomla! - im mniej takich rozszerzeń, tym lepiej.
    2. Wiek rozszerzena
    Rozszerzenia napisane dawniej, za pomocą wcześniejszych wersji PHP z natury rzeczy mogą nie spełniać współczesnych kryteriów wydajności, a przede wszystkim bezpieczeństwa, są szczególnie podatne na uszkodzenia. Niektóre z nich dopoprawnego działania wymagają włączenia emulacji RG albo włączonej rejestracji zmiennych globalnych (register_globals=ON). Takie rozszerzenia w sposób szczególny narażają witrynę na udane ataki krakerskie. Aby działały, trzeba włączyć emulację zmiennych globalnych, ale powinno to być rozwiązanie chwilowe. Można napisać do autora rozszerzenia prośbę o jego unowocześnienie, ale - jeśli autor nie uczynił tego do tej pory sam, trudno liczyć na pozytywną reakcję. Można samemu poprawić takie rozszerzenie, ale wymaga to umiejętności programowania. Jeśli korzystamy z takiego rozszerzenia, należy systematycznie i dokładnie monitorować tabelę bazy danych obsługującej to rozszerzenie oraz katalogi, w których znajdują się skrypty rozszerzenia, aby wykryć ewentualne uszkodzenia (ataki) najwczęsniej, jak to możliwe.
    3. Kodowanie
    Rozszerzenia dla Joomla 1.5 standardowo korzystają z wielobajtowego systemu kodowania, a krócej z unikodu czy też kodowania w standardzie UTF-8.
    Rozszerzenia pisane dla Joomla 1.5 standardowo kozystają z kodowania w ISO 8859-1. Polskie wersje tych rozszerzeń najczęściej wydawane były w standardzie ISO-8859-2, nieco rzadziej w standardzie utf-8.
    Próba instalacji w witrynach kodowanych w UTF-8 rozszerzeń opublikowanych w standardzie ISO-8859-2 najczęściej kończy się komunikatem błędu, że nie znaleziono pliku XML.
    Zanim zainstalujemy takie rozszerzenie, należy je przekonwertować, a to dokładniej oznacza:
    a) konieczność konwersji pliku rozszerzenie.xml do standardu UTF-8
    b) konieczność konwersji pliku językowego do standardu UTF-8.
    Uwaga: rozszerzenia są niekiedy obsługiwane przez kilka plików językowych (np. docman, mxcomment).
    Do konwersji najlepiej skorzystać z edytora oferującego opcje zapisu i odczytu w różnych systemach kodowania. Nie może to być jednak edytor umieszczający w plikach UTF znacznik kolejności bajtów (BOM).
    Można również wykorzystać programik Gżgżółka. W tym przypadku nie wystarczy konwersja pliku XML - dodatkow trzeba ręcznie zmienić linię definiujacą kodowanie.
    Zobacz: Niepoprawny plik XML
    4. Inne błędy
    Podczas instalacji rozszerzeń mogą pojawić się różne błędy spowodowane:
    - brakiem dostępu do plików (katalogów), najczęściej na serwerach z włączonym bezpiecznym trybem PHP (safe_mode=ON)
    - brakiem biblioteki zlib
    - usterkami w plikach instalacyjnych (np. krótkie znaczniki <? zamiast <?php
    Sposoby radzenia sobie z takimi problemami opisano w podręczniku administratora Jooma na www.pomoc.joomla.pl:

    R. 16. Instalatory
    Ekrany pomocy: Instalatory - Joomla 1.0
    Nowszy komponent
    Korzystaj i ciesz się!
    ===============
    Zwiastun
    Biblioteka Elektronicznej Dokumentacji Joomla!

  2. Pani Reklamowa
    Pani Reklamowa jest aktywna
    Avatar Panny Google

    Dołączył
    19-08-2010
    Skąd
    Internet
    Postów
    milion
    Pochwał
    setki
  3. #2
    Tadeusz Stube
    Gość

    Domyślny

    Witam

    Jaka może być przyczyna wystąpienia następującego błędu?
    Piszę w poście Administratora bo nie chcę zakładać nowego tematu a odpowiedzi na mój problem nie znalazłem.
    W czym rzecz:
    Zainstalowałem Program Joomla na serwerze, instalacja przebiegła bez problemu na końcu zostałem poproszony o usunięcie plików instalacyjnych, tak zrobiłem.
    Po kliknięciu na moją stronę pojawiło się logo Joomla a obok niego napis instalacja, poniżej następująca informacja:

    PAMIĘTAJ, ABY USUNĄĆ KATALOG INSTALACYJNY
    Wymaga tego bezpieczeństwo Joomla! Usuń katalog instalacyjny i przyciśnij tutaj.

    Katalog instalacyjny usunąłem, mimo to nie mogę przejść dalej, witryna nie funkcjonuje.
    Co robić? jest jakaś rada?
    Zrozpaczony.

    Instalowanie przeprowadziłem według książeczki pod tytułem Własna strona WWW wydana przez Komputer Świat

  4. #3
    Nowicjusz
    Dołączył
    08-05-2009
    Wpisy
    17
    Punkty
    10

    Domyślny

    Mam problem z instalacją comentsubmit dostaję komunikat:

    • JInstaller::install: Plik C:\xampp\htdocs\Anna\tmp\install_4c2640229896a\con tentsubmit\install.php nie istnieje
    • Komponent Zainstaluj: Nie udało się skopiować pliku instalacyjnego PHP.

    Plik istnieje.
    Jeśli to jest problem kodowania, to też potrzebuję pomocy jak przeprowadzić konwersję, jak sprawdzić - dowiedzieć się w jakim standarcie jest kodowane rozszerzenie?Nana

Reguły pisania

  • Nie możesz zakładać nowych tematów
  • Nie możesz dodawać wypowiedzi
  • Nie możesz dodawać załączników
  • Nie możesz poprawiać swoich postów
  •